<?php

return [

	'common' => [
		'comment' => '댓글',
		'commented' => 'Commented',
		'comments' => 'Comments',
		'like' => '좋아요',
		'liked' => 'Liked',
		'likes' => 'Likes',
		'share' => '공유',
		'shared' => 'Shared',
		'shares' => 'Shares',
		'unshare' => 'Unshare',

		'cancel' => '취소',
		'copyLink' => 'Copy Link',
		'delete' => 'Delete',
		'error' => '오류',
		'errorMsg' => '문제가 발생했습니다. 나중에 다시 시도하세요.',
		'oops' => '이런!',
		'other' => '기타',
		'readMore' => '더보기',
		'success' => '성공',

		'sensitive' => '민감함 ',
		'sensitiveContent' => '민감한 내용',
		'sensitiveContentWarning' => '이 게시물은 민감한 내용을 포함합니다',
	],

	'site' => [
		'terms' => '이용약관',
		'privacy' => '개인정보 취급방침',
	],

	'navmenu' => [
		'search' => '검색',
		'admin' => '관리자 대시보드',

		// Timelines
		'homeFeed' => '홈 피드',
		'localFeed' => '로컬 피드',
		'globalFeed' => '글로벌 피드',

		// Core features
		'discover' => '발견하기',
		'directMessages' => '쪽지',
		'notifications' => '알림',
		'groups' => '그룹',
		'stories' => '스토리',

		// Self links
		'profile' => '프로필',
		'drive' => '드라이브',
		'settings' => '설정',
		'compose' => '새로 만들기',
		'logout' => 'Logout',

		// Nav footer
		'about' => '정보',
		'help' => '도움말',
		'language' => '언어',
		'privacy' => '개인정보',
		'terms' => '약관',

		// Temporary links
		'backToPreviousDesign' => '이전 디자인으로 돌아가기'
	],

	'directMessages' => [
		'inbox' => '받은 편지함',
		'sent' => '보냄',
		'requests' => '요청 내역'
	],

	'notifications' => [
		'liked' => 'liked your',
		'commented' => 'commented on your',
		'reacted' => 'reacted to your',
		'shared' => 'shared your',
		'tagged' => 'tagged you in a',

		'updatedA' => 'updated a',
		'sentA' => 'sent a',

		'followed' => 'followed',
		'mentioned' => 'mentioned',
		'you' => 'you',

		'yourApplication' => 'Your application to join',
		'applicationApproved' => 'was approved!',
		'applicationRejected' => 'was rejected. You can re-apply to join in 6 months.',

		'dm' => 'dm',
		'groupPost' => 'group post',
		'modlog' => 'modlog',
		'post' => 'post',
		'story' => 'story',
	],

	'post' => [
		'shareToFollowers' => 'Share to followers',
		'shareToOther' => 'Share to other',
		'noLikes' => 'No likes yet',
		'uploading' => 'Uploading',
	],

	'profile' => [
		'posts' => 'Posts',
		'followers' => 'Followers',
		'following' => 'Following',
		'admin' => 'Admin',
		'collections' => 'Collections',
		'follow' => 'Follow',
		'unfollow' => 'Unfollow',
		'editProfile' => 'Edit Profile',
		'followRequested' => 'Follow Requested',
		'joined' => 'Joined',

		'emptyCollections' => 'We can\'t seem to find any collections',
		'emptyPosts' => 'We can\'t seem to find any posts',
	],

	'menu' => [
		'viewPost' => 'View Post',
		'viewProfile' => 'View Profile',
		'moderationTools' => 'Moderation Tools',
		'report' => 'Report',
		'archive' => 'Archive',
		'unarchive' => 'Unarchive',
		'embed' => 'Embed',

		'selectOneOption' => 'Select one of the following options',
		'unlistFromTimelines' => 'Unlist from Timelines',
		'addCW' => 'Add Content Warning',
		'removeCW' => 'Remove Content Warning',
		'markAsSpammer' => 'Mark as Spammer',
		'markAsSpammerText' => 'Unlist + CW existing and future posts',
		'spam' => '스팸',
		'sensitive' => '민감한 내용',
		'abusive' => 'Abusive or Harmful',
		'underageAccount' => 'Underage Account',
		'copyrightInfringement' => 'Copyright Infringement',
		'impersonation' => 'Impersonation',
		'scamOrFraud' => 'Scam or Fraud',
		'confirmReport' => 'Confirm Report',
		'confirmReportText' => 'Are you sure you want to report this post?',
		'reportSent' => 'Report Sent!',
		'reportSentText' => 'We have successfully received your report.',
		'reportSentError' => 'There was an issue reporting this post.',

		'modAddCWConfirm' => 'Are you sure you want to add a content warning to this post?',
		'modCWSuccess' => 'Successfully added content warning',
		'modRemoveCWConfirm' => 'Are you sure you want to remove the content warning on this post?',
		'modRemoveCWSuccess' => 'Successfully removed content warning',
		'modUnlistConfirm' => 'Are you sure you want to unlist this post?',
		'modUnlistSuccess' => 'Successfully unlisted post',
		'modMarkAsSpammerConfirm' => 'Are you sure you want to mark this user as a spammer? All existing and future posts will be unlisted on timelines and a content warning will be applied.',
		'modMarkAsSpammerSuccess' => 'Successfully marked account as spammer',

		'toFollowers' => 'to Followers',

		'showCaption' => 'Show Caption',
		'showLikes' => 'Show Likes',
		'compactMode' => 'Compact Mode',
		'embedConfirmText' => 'By using this embed, you agree to our',

		'deletePostConfirm' => 'Are you sure you want to delete this post?',
		'archivePostConfirm' => 'Are you sure you want to archive this post?',
		'unarchivePostConfirm' => 'Are you sure you want to unarchive this post?',
	],

	'story' => [
		'add' => 'Add Story'
	],

	'timeline' => [
		'peopleYouMayKnow' => 'People you may know'
	],

	'hashtags' => [
		'emptyFeed' => 'We can\'t seem to find any posts for this hashtag'
	],

];
